      program sp602		! pai
      implicit none
      integer i, iy, Nin, Nout
      real*8 x, y, r, pai
      data iy, Nin, Nout / 1234567, 0, 0 /
      open(1,file='pai.dat')
      do i=1, 10000
        call ransu( iy, x )
        call ransu( iy, y )
        r = dsqrt( ____ + ____ )
       if( r.le.1d0 ) then
           Nin = ___ + _
       else
           Nout = ____ + _
       endif
       pai = ___ * ___ / ( ___ + ____ )
       write( 1, ' ( i6, 2f10.6, f8.0, 2i6, f15.10 ) ' )
     &		          i, x, y, r, Nin, Nout, pai
      enddo
      close(1)
      stop
      end